org.apache.xmlbeans.impl.xb.xsdschema

## Interface FieldDocument.Field

All Superinterfaces:
  Annotated, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  FieldDocumentImpl.FieldImpl

Enclosing interface:
  FieldDocument

    public static interface FieldDocument.Field
    extends Annotated

An XML field(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Nested Class Summary

Nested Classes
`static interface` `FieldDocument.Field.Xpath` An XML xpath(@).

### Field Summary

Fields
`static ElementFactory<FieldDocument.Field>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getXpath()` Gets the "xpath" attribute
`void` `setXpath(String xpath)` Sets the "xpath" attribute
`FieldDocument.Field.Xpath` `xgetXpath()` Gets (as xml) the "xpath" attribute
`void` `xsetXpath(FieldDocument.Field.Xpath xpath)` Sets (as xml) the "xpath" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<FieldDocument.Field> Factory

#### type

    static final SchemaType type

### Method Detail

#### getXpath

    String getXpath()

Gets the "xpath" attribute

#### xgetXpath

    FieldDocument.Field.Xpath xgetXpath()

Gets (as xml) the "xpath" attribute

#### setXpath

    void setXpath(String xpath)

Sets the "xpath" attribute

#### xsetXpath

    void xsetXpath(FieldDocument.Field.Xpath xpath)

Sets (as xml) the "xpath" attribute